
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 * 
 * @author Wallace
 */
public class RenderConexionRutaRemoveSelecionada implements ListitemRenderer {

	private EventListener listenerGenerico;

	public RenderConexionRutaRemoveSelecionada(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	public void render(Listitem lstm, Object o) throws Exception {
		Parada parada = (Parada) o;

		Listcell lc = new Listcell(parada.getCveparada().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(parada.getDescparada().toString());
		lc.setParent(lstm);

		lc = new Listcell();

		Button btnRemoverPermissao = new Button();
		btnRemoverPermissao.setAttribute("data", o);
		btnRemoverPermissao.addEventListener("onClick", listenerGenerico);
		btnRemoverPermissao.setImage("/gui/img/remove.png");
		lc.appendChild(btnRemoverPermissao);

		lc.setParent(lstm);

		lstm.setAttribute("data", parada);
	}
}
